Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.generic
Interface ProxyFactoryHAMBean

All Superinterfaces:
  org.jboss.invocation.jrmp.server.JRMPProxyFactoryMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  ProxyFactoryHA

public interface ProxyFactoryHAMBean
extends org.jboss.invocation.jrmp.server.JRMPProxyFactoryMBean

ProxyFactory for Clustering

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getLoadBalancePolicy()`
`javax.management.ObjectName` | `getPartitionObjectName()`
`void` | `setLoadBalancePolicy(String loadBalancePolicy)`
`void` | `setPartitionObjectName(javax.management.ObjectName partitionObjectName)`

Methods inherited from interface org.jboss.invocation.jrmp.server.JRMPProxyFactoryMBean
`getClientInterceptors, getExportedInterface, getExportedInterfaces, getInvokerName, getInvokeTargetMethod, getJndiName, getProxy, getTargetName, invoke, setClientInterceptors, setExportedInterface, setExportedInterfaces, setInvokerName, setInvokeTargetMethod, setJndiName, setTargetName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getPartitionObjectName

    public javax.management.ObjectName getPartitionObjectName()

### setPartitionObjectName

    public void setPartitionObjectName(javax.management.ObjectName partitionObjectName)

### getLoadBalancePolicy

    public String getLoadBalancePolicy()

### setLoadBalancePolicy

    public void setLoadBalancePolicy(String loadBalancePolicy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.